VPS侦探论坛

 找回密码
 注册
查看: 235|回复: 5

PHP 8.3.7 安装出现了错误,求指导

[复制链接]
发表于 2024-6-3 23:09:16 | 显示全部楼层 |阅读模式

用 LNMP 2.1 安装成功了PHP 8.3.0 ,现在有好多漏洞,必须要升级。于是选择了最新版本 PHP8.3.7 ,但是失败了。继续解决,多谢协助
错误日志如下:
链接: https://pan.baidu.com/s/1zyvbr6EQ8DVv22HWozh_jw?pwd=8888 提取码: 8888 复制这段内容后打开百度网盘手机App,操作更方便哦
--来自百度网盘超级会员v6的分享



美国VPS推荐: 遨游主机LinodeLOCVPS主机云搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2024-6-4 10:36:38 | 显示全部楼层


  1. /opt/rh/devtoolset-8/root/usr/libexec/gcc/x86_64-redhat-linux/8/ld: dynamic STT_GNU_IFUNC symbol `mb_utf16be_to_wchar' with pointer equality in `ext/mbstring/libmbfl/filters/mbfilter_utf16.o' can not be used when making an executable; recompile with -fPIE and relink with -pie
复制代码


貌似 GCC 问题
github上有类似的
https://github.com/php/php-src/issues/12774

Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org
 楼主| 发表于 2024-6-5 00:07:20 | 显示全部楼层

wuuyun 发表于 2024-6-4 10:36
貌似 GCC 问题
github上有类似的
https://github.com/php/php-src/issues/12774

谢谢,我尝试下
美国VPS推荐: 遨游主机LinodeLOCVPS主机云搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
 楼主| 发表于 2024-6-10 11:56:25 | 显示全部楼层



wuuyun 发表于 2024-6-4 10:36
貌似 GCC 问题
github上有类似的
https://github.com/php/php-src/issues/12774

感谢
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org
 楼主| 发表于 2024-6-10 11:56:42 | 显示全部楼层

Starting LNMP...
Starting nginx...  done
Starting mariadb (via systemctl):  [  OK  ]
Starting php-fpm  done
Starting php-fpm  done
Starting php-fpm  done
Starting php-fpm  done
===========================================
You have successfully install php-8.3.7
===========================================

军哥运维代购:http://shop63846532.taobao.com/

发表于 5 天前 | 显示全部楼层

bybsky 发表于 2024-6-10 11:56
Starting LNMP...
Starting nginx...  done
Starting mariadb (via systemctl):  [  OK  ]

怎么搞定的?
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|Archiver|VPS侦探 ( 鲁ICP备16040043号-1 )

GMT+8, 2024-6-22 18:31 , Processed in 0.027005 second(s), 16 queries .

Powered by Discuz! X3.4

© 2001-2023 Discuz! Team.

快速回复 返回顶部 返回列表